Package org.eclipse.team.ui.synchronize

## Class TeamStateChangeEvent

- java.lang.Object
- - org.eclipse.team.ui.synchronize.TeamStateChangeEvent

All Implemented Interfaces:
  `ITeamStateChangeEvent`

    public class TeamStateChangeEvent
    extends Object
    implements ITeamStateChangeEvent

An implementation of `ITeamStateChangeEvent`.

This class is not intended to be subclassed by clients.

Since:
  3.2

### Constructor Summary

Constructors
`TeamStateChangeEvent()`
`TeamStateChangeEvent​(ISubscriberChangeEvent[] deltas)` Convenience constructor for creating an event from a subscriber change.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changed​(IResource resource)` The given resource has changed state.
`IResource[]` `getAddedRoots()` Return the set of resources that were previously undecorated but are now decorated.
`IResource[]` `getChangedResources()` Return the set of resources whose decorated state has changed.
`IResource[]` `getRemovedRoots()` Return the set of resources that were previously decorated but are now undecorated.
`boolean` `hasChange​(IResource resource)` Return whether the resource has any state changes.
`void` `rootAdded​(IResource resource)` The given root resource has been added.
`void` `rootRemoved​(IResource resource)` The given root resource has been removed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TeamStateChangeEvent

    public TeamStateChangeEvent()

#### TeamStateChangeEvent

    public TeamStateChangeEvent​(ISubscriberChangeEvent[] deltas)

Convenience constructor for creating an event from a subscriber change.

Parameters:
  `deltas` - the set of subscriber changes

### Method Detail

#### changed

    public void changed​(IResource resource)

The given resource has changed state.

Parameters:
  `resource` - the resource whose state has changed

#### rootRemoved

    public void rootRemoved​(IResource resource)

The given root resource has been removed.

Parameters:
  `resource` - the resource

#### rootAdded

    public void rootAdded​(IResource resource)

The given root resource has been added.

Parameters:
  `resource` - the resource

#### getAddedRoots

    public IResource[] getAddedRoots()

Description copied from interface: `ITeamStateChangeEvent`
Return the set of resources that were previously undecorated but are now decorated.

Specified by:
  `getAddedRoots` in interface `ITeamStateChangeEvent`
Returns:
  the set of resources that were previously undecorated but are now decorated.

#### getRemovedRoots

    public IResource[] getRemovedRoots()

Description copied from interface: `ITeamStateChangeEvent`
Return the set of resources that were previously decorated but are now undecorated.

Specified by:
  `getRemovedRoots` in interface `ITeamStateChangeEvent`
Returns:
  the set of resources that were previously decorated but are now undecorated.

#### getChangedResources

    public IResource[] getChangedResources()

Description copied from interface: `ITeamStateChangeEvent`
Return the set of resources whose decorated state has changed.

Specified by:
  `getChangedResources` in interface `ITeamStateChangeEvent`
Returns:
  the set of resources whose decorated state has changed.

#### hasChange

    public boolean hasChange​(IResource resource)

Description copied from interface: `ITeamStateChangeEvent`
Return whether the resource has any state changes. This returns `true` if the resource is included in the set of changes returned by `ITeamStateChangeEvent.getChangedResources()` or if it is a descendant of a root that is present in a set returned by `ITeamStateChangeEvent.getAddedRoots()` or `ITeamStateChangeEvent.getRemovedRoots()`.

Specified by:
  `hasChange` in interface `ITeamStateChangeEvent`
Parameters:
  `resource` - the resource
Returns:
  whether the resource has any state changes